// FILENAME:	DM_IceHole.cs
// AUTHORS:  	[OF] Pincushion
// VERSION:       2.0
// DATE:          1/29/00, 3/29/00
// DESCRIPTION:
//     This map may serve for either DM or TDM with up to 4 teams, but it
// was designed primarily for 2-team TDM (Red vs Blue or Yellow vs Purple) with
// many players.  The topography is wavy and sprinkled with a reasonable amount
// of indestructible cover.  This should provide a slight natural handicap for
// seeking weapons and tanks.
//     Each base is defended by two turrets.  The Blaster turrets will attack
// enemies approaching within 300m.  Their guns can be blown off, but not too
// easily.  The Missle turrets attack at 450m.  Both types will defend
// themselves out to their maximum range.  Red base has only a Missle turret -
// it has no pad generators to protect.  To disable the turrets use the editor
// and set the "Activation distance" of each one to 0.
//     Using a trick discovered by Dolf Kooz and popularized by Orogogus this
// map uses the single-player terrain "campaign/Cybrid (Advanced)/CC1.ted.vol".
//
// See http://www.geocities.com/SoHo/Nook/9351/maps/index.html for more info.
//------------------------------------------------------------------------------

$missionName = "DM_IceHole";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;
}

function onMissionStart()
{
	iceSounds();

	// to ENABLE turrets comment out any or all of the following lines...
	order("MissionGroup\\blueBase\\BlueBlasterTurret",shutdown,true);
	order("MissionGroup\\blueBase\\BlueMissleTurret",shutdown,true);
	order("MissionGroup\\yellowBase\\YellowBlasterTurret",shutdown,true);
	order("MissionGroup\\yellowBase\\YellowMissleTurret",shutdown,true);
	order("MissionGroup\\purpleBase\\PurpleBlasterTurret",shutdown,true);
	order("MissionGroup\\purpleBase\\PurpleMissleTurret",shutdown,true);
	order("MissionGroup\\redBase\\RedMissleTurret",shutdown,true);
}

function onMissionLoad(){
   cdAudioCycle("Gnash", "Cloudburst", "Cyberntx"); 
}
